org.apache.solr.response

## Class BinaryResponseWriter.Resolver

- java.lang.Object
- - org.apache.solr.response.BinaryResponseWriter.Resolver

- All Implemented Interfaces:
    JavaBinCodec.ObjectResolver, JavaBinCodec.WritableDocFields
  Enclosing class:
    BinaryResponseWriter

      public static class BinaryResponseWriter.Resolver
      extends Object
      implements JavaBinCodec.ObjectResolver, JavaBinCodec.WritableDocFields

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ReturnFields` | `returnFields`
    `protected IndexSchema` | `schema`
    `protected SolrQueryRequest` | `solrQueryRequest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Resolver(SolrQueryRequest req, ReturnFields returnFields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isWritable(String name)`
    `Object` | `resolve(Object o, JavaBinCodec codec)`
    `boolean` | `wantsAllFields()`
    `void` | `writeResults(ResultContext ctx, JavaBinCodec codec)`
    `protected void` | `writeResultsBody(ResultContext res, JavaBinCodec codec)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### solrQueryRequest

          protected final SolrQueryRequest solrQueryRequest

    - #### schema

          protected IndexSchema schema

    - #### returnFields

          protected ReturnFields returnFields

  - ### Constructor Detail

    - #### Resolver

          public Resolver(SolrQueryRequest req,
                          ReturnFields returnFields)

  - ### Method Detail

    - #### resolve

          public Object resolve(Object o,
                                JavaBinCodec codec)
                         throws IOException

      Specified by:
        `resolve` in interface `JavaBinCodec.ObjectResolver`
      Throws:
        `IOException`

    - #### isWritable

          public boolean isWritable(String name)

      Specified by:
        `isWritable` in interface `JavaBinCodec.WritableDocFields`

    - #### wantsAllFields

          public boolean wantsAllFields()

      Specified by:
        `wantsAllFields` in interface `JavaBinCodec.WritableDocFields`

    - #### writeResultsBody

          protected void writeResultsBody(ResultContext res,
                                          JavaBinCodec codec)
                                   throws IOException

      Throws:
        `IOException`

    - #### writeResults

          public void writeResults(ResultContext ctx,
                                   JavaBinCodec codec)
                            throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.